roundcube and phpmyadmin no works after http/2 activation

Discussion in 'Installation/Configuration' started by Oitsuki, Oct 31, 2019.

  1. Oitsuki

    Oitsuki Member

    Hello,
    I have success to be in http/2 but now I have no access to my webmail (roundcube) and phpmyadmin.
    It displays a text inside the browser

    I look this thread : https://www.howtoforge.com/communit...be-enigma-munin-phpmyadmin-aliases-fix.77489/

    I tried this but it do not work :
    Code:
    a2enmod proxy
    a2enmod proxy_fcgi
    (systemctl restart apache2)
    a2dismod mpm_prefork //again disable it
    a2enmod mpm_event
    systemctl restart apache2
    Result

    Code:
    a2enconf roundcube
    ERROR: Conf roundcube not properly enabled: /etc/apache2/conf-enabled/roundcube.conf is a real file, not touching it
    [email protected]:~# a2enconf phpmyadmin
    Conf phpmyadmin already enabled
    [email protected]:~# a2enmod proxy
    Module proxy already enabled
    [email protected]:~# a2enmod proxy_fcgi
    Considering dependency proxy for proxy_fcgi:
    Module proxy already enabled
    Module proxy_fcgi already enabled
    [email protected]:~# systemctl restart apache2
    [email protected]:~# a2dismod mpm_prefork //again disable it
    Module mpm_prefork already disabled
    ERROR: Module //again does not exist!
    ERROR: Module disable does not exist!
    ERROR: Module it does not exist!
    [email protected]:~# a2dismod mpm_prefork
    Module mpm_prefork already disabled
    [email protected]:~# a2enmod mpm_event
    Considering conflict mpm_worker for mpm_event:
    Considering conflict mpm_prefork for mpm_event:
    Module mpm_event already enabled
    [email protected]:~# systemctl restart apache2
    


    Code:
    <?php
    /**
     +-------------------------------------------------------------------------+
     | Roundcube Webmail IMAP Client                                           |
     | Version 1.3.8                                                           |
     |                                                                         |
     | Copyright (C) 2005-2018, The Roundcube Dev Team                         |
     |                                                                         |
     | This program is free software: you can redistribute it and/or modify    |
     ........
    // include environment
    require_once 'program/include/iniset.php';
    
    // init application, start session, init output class, etc.
    $RCMAIL = rcmail::get_instance(0, $GLOBALS['env']);
    
    // Make the whole PHP output non-cacheable (#1487797)
    $RCMAIL->output->nocacheing_headers();
    $RCMAIL->output->common_headers();

    Not good.
     
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    Have you modified those files by hand? You should only use a2enconf and a2disconf.
    That looks like syntax error in some configuration file. Or some garbage lines got there by mistake. Try
    Code:
    grep -R "//again" /etc/apache2/
     
  3. Oitsuki

    Oitsuki Member

    I pass in http/2 and after there is a problem for that
    Nothing display with this command :
    grep -R "//again" /etc/apache2/
     
  4. Steini86

    Steini86 Active Member

    The command was right, "//again .." was a comment to that command, which should not be executed. So everything is right.
    Have you done the suggestions in the first post of the thread you linked?
    What are the contents in /etc/apache2/conf-enabled/roundcube.conf
     
  5. Oitsuki

    Oitsuki Member

    grep -R "//again" /etc/apache2/
    Result : nothing

    Code:
    Alias /webmail /var/lib/roundcube
    # Those aliases do not work properly with several hosts on your apache server
    # Uncomment them to use it or adapt them to your configuration
    #    Alias /roundcube /var/lib/roundcube
    
    <Directory /var/lib/roundcube/>
      Options +FollowSymLinks
      # This is needed to parse /var/lib/roundcube/.htaccess. See its
      # content before setting AllowOverride to None.
      AllowOverride All
      <IfVersion >= 2.3>
        Require all granted
      </IfVersion>
      <IfVersion < 2.3>
        Order allow,deny
        Allow from all
      </IfVersion>
    </Directory>
    
     
  6. Oitsuki

    Oitsuki Member

    I do not know whats happen but I make that
    sudo aptidude install php-curl
    Select option N
    Make a downgrade
    Réinstaller à une version antérieure les paquets suivants :
    1) libapache2-mod-php7.3 [7.3.11-1+0~20191026.48+debian10~1.gbpf71ca0 (now) -> 7.3.11-1~deb10u1 (stable)]
    .....
    Now everyhting come back, rouncube, phpmyadmin, curl, fpm, http/2 ...
    Seems to be now on stable version php debian version
     
  7. Steini86

    Steini86 Active Member

    mod_php is not compatible with MPM event, which is needed for http/2. So your solution will be very slow.
    But never mind, keep it that way and do not touch a working system, if you do not know what you are doing
     

Share This Page